<?php
  // Some useful variables
  $v  = rand();// Used to avoid abusive caching by the browser 
  $dn = 'http://'. $_SERVER['HTTP_HOST'];
?>
<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <title>Happy Dev App</title>

    <!-- Stylesheets -->
    <link rel="stylesheet" href="<?php echo $dn; ?>/node_modules/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="<?php echo $dn; ?>/dist/css/hd-app.css?v=<?php echo $v ?>" />
    <link rel="stylesheet" href="<?php echo $dn; ?>/node_modules/font-awesome/css/font-awesome.min.css" />

    <!-- Javascript -->
    <script type="text/javascript" src="<?php echo $dn; ?>/node_modules/jquery/dist/jquery.min.js"></script>
    <script type="text/javascript" src="<?php echo $dn; ?>/node_modules/bootstrap/dist/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="<?php echo $dn; ?>/dist/lib/webcomponentsjs/webcomponents-loader.js"></script>
    <script type="text/javascript" src="<?php echo $dn; ?>/dist/lib/xmpp-chat-component/node_modules/webcomponentsjs/full.js"></script>

    <!-- Web components -->
    <link rel="import" href="<?php echo $dn; ?>/dist/lib/ldp-display/ldp-display.html?v=<?php echo $v ?>" />
    <link rel="import" href="<?php echo $dn; ?>/dist/lib/ldp-display/ldp-router.html?v=<?php echo $v ?>" />
    <link rel="import" href="<?php echo $dn; ?>/dist/lib/xmpp-chat-component/chat-window-component.html?v=<?php echo $v ?>">
  </head>

  <body>
    <?php require_once('src/html/menu.html'); ?>

    <main id="mainContainer" class="container-fluid">
      <?php require_once('src/html/members.html'); ?>
      <?php require_once('src/html/member.html'); ?>
      <?php require_once('src/html/projects.html'); ?>
      <?php require_once('src/html/project.html'); ?>
    </main>
  </body>
</html>
